Bug 990121 - Wrong scrollbar position
Wrong scrollbar position
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.1.0
Assigned To: Neus Miras
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 08:35 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scrollbar in process definitions (16.04 KB, image/png)
2013-07-30 08:35 EDT, Zuzana Krejčová
no flags Details
scrollbar in process instances (8.29 KB, image/png)
2013-07-30 08:36 EDT, Zuzana Krejčová
no flags Details
process definitions in a small screen (97.30 KB, image/png)
2013-08-30 06:39 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-07-30 08:35:57 EDT
Created attachment 780617 [details]
scrollbar in process definitions

Description of problem:
Process Definitions/Instances - if there are enough (more than 7 for me) process definitions or instances in these perspectives, a scrollbar is added to the side of the table. This scrollbar is positioned over a part of the table, covering a bit of the action column. It looks very unprofessional.
See screenshots.


Version-Release number of selected component (if applicable):
kie-wb CR1
Comment 1 Zuzana Krejčová 2013-07-30 08:36:40 EDT
Created attachment 780618 [details]
scrollbar in process instances
Comment 2 Mauricio Salatino 2013-08-14 08:07:56 EDT
Fixed in master: http://github.com/droolsjbpm/jbpm-console-ng/commit/d0f7c54ee
Comment 3 Zuzana Krejčová 2013-08-28 07:29:47 EDT
No visible change.
Comment 4 Zuzana Krejčová 2013-08-30 06:38:27 EDT
Well... Now there is no scrollbar at all in the Process Definitions (visible if you have a small window) and nothing changed with the Process Instances. See screenshot.
Comment 5 Zuzana Krejčová 2013-08-30 06:39:09 EDT
Created attachment 792119 [details]
process definitions in a small screen
Comment 6 Mauricio Salatino 2013-09-05 05:36:58 EDT
This is weird. This is already fixed in master. I will try to specify what is going on with the grids in general. I've tried to align all of them to the following behavior:

1) They show 10 items per page
2) If the 10 items doesn't fit the screen, the grid show the internal scroll bar
3) if you resize the window the grid will resize as well, but it will continue showing 10 items per page
4) the scroll should disappear if the grid can show the 10 items in the screen

I will double check all the grids now, and I will backport all the fixes to 6.0.x so it can be tested again. But if you think that the behavior is wrong, then we need to check it again.
Comment 7 Mauricio Salatino 2013-09-05 12:01:36 EDT
Backported to 6.0.x
Comment 8 Zuzana Krejčová 2013-10-21 05:29:06 EDT
Well, we're back to the original issue only. The scrollbar is still placed over the Action column. 
As this is the issue this BZ was raised for, I cannot change status to verified even though the problems introduced and fixed during working on this BZ are fixed.

Note You need to log in before you can comment on or make changes to this bug.